
From: "J.A. Magallon" <jamagallon@able.es>

This allows to build aic with db4.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/aic7xxx/aicasm/Makefile |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN drivers/scsi/aic7xxx/aicasm/Makefile~fix-aic-for-db4 drivers/scsi/aic7xxx/aicasm/Makefile
--- 25/drivers/scsi/aic7xxx/aicasm/Makefile~fix-aic-for-db4	2004-07-26 16:48:36.239958320 -0700
+++ 25-akpm/drivers/scsi/aic7xxx/aicasm/Makefile	2004-07-26 16:48:36.243957712 -0700
@@ -34,10 +34,14 @@ $(PROG):  ${GENHDRS} $(SRCS)
 	$(AICASM_CC) $(AICASM_CFLAGS) $(SRCS) -o $(PROG) $(LIBS)
 
 aicdb.h:
-	@if [ -e "/usr/include/db3/db_185.h" ]; then		\
+	@if [ -e "/usr/include/db4/db_185.h" ]; then		\
+		echo "#include <db4/db_185.h>" > aicdb.h;	\
+	 elif [ -e "/usr/include/db3/db_185.h" ]; then		\
 		echo "#include <db3/db_185.h>" > aicdb.h;	\
 	 elif [ -e "/usr/include/db2/db_185.h" ]; then		\
 		echo "#include <db2/db_185.h>" > aicdb.h;	\
+	 elif [ -e "/usr/include/db1/db_185.h" ]; then		\
+		echo "#include <db1/db_185.h>" > aicdb.h;	\
 	 elif [ -e "/usr/include/db/db_185.h" ]; then		\
 		echo "#include <db/db_185.h>" > aicdb.h;	\
 	 elif [ -e "/usr/include/db_185.h" ]; then		\
_
